body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0px;
    padding: 0;
}

h1 {
    color: #ff003c;
    text-align: center;
    margin-top: 20px;
    font-size: 1.75em;
}

h2 {
    color: black;
    margin: 50px;
}

h3 {
    color: #fff;
    font-size: 2em;
    text-decoration: none;
    font-weight: bold;
}

h4 {
    color: #fff;
    font-size: 1.2em;
    text-decoration: none;
    font-weight: bold;
}

h5 {
    font-family: Arial, sans-serif;
    font-weight: bold;
    color: black;
    font-size: 22.5px;
}

p {
    color: #333;
    font-size: 1.2em;
    line-height: 1.6;
    margin: 50px;
}

a {
    color: black;
    text-decoration: none;
}

a:hover {
    text-decoration: none;
    font-weight: bold;
}

a.styled-link {
    color: #fff;
    font-size: 1em;
    text-decoration: none;
    font-weight: bold;
}

a.styled-link:hover {
    text-decoration: none;
    font-weight: bold;
}

img {
    display: block;
    margin: 50px auto;
    max-width: 100%;
    height: auto;
}

header {
    background-color: #ff0000;
    color: #fff;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 1000;
    flex-wrap: wrap;
}

footer {
    background-color: #ff0000;
    color: white;
    text-align: center;
    padding: 10px 0;
    width: 100%;
    margin-top: 20px;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    margin-right: 20px;
}

nav ul li a {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
}

nav ul li a:hover {
    text-decoration: none;
    font-weight: bolder;
}

button {
    background-color: #333;
    color: white;
    border: none;
    margin: 50px;
    margin-top: 0px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
    padding: 0.5em;
}
  
button:hover {
    background-color: #555;
}
  
button:focus {
    outline: none;
    box-shadow: 0 0 5px #93afc2;
}

.zentriert {
    text-align: center;
}

.zeilenabstand {
    line-height: 1%;
}

.body2 {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

.dashboard {
    padding: 20px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.card-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    max-width: 1200px;
    width: 100%;
}

.card {
    background-color: #f2f2f2;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.card h3 {
    margin-top: 0;
}

.card p {
    margin-bottom: 10px;
}

.container {
    display: flex;
    gap: 20px;
    max-width: 100%;
}

.minipage {
    flex: 1;
    padding: 10px;
    border: 1px solid #ccc;
    background-color: #f9f9f9;
}


@media (max-width: 768px) {
    header {
        flex-direction: column;
        gap: 10px;
        text-align: center;
    }

    nav ul {
        flex-direction: column;
        align-items: center;
    }

    nav ul li {
        margin: 6px 0;
    }

    h1 {
        font-size: 1.5em;
    }

    p, h2 {
        margin: 25px;
    }

    .container {
        flex-direction: column;
    }

    .card-container {
        grid-template-columns: repeat(2, 1fr);
        gap: 15px;
    }

    button {
        margin: 20px;
    }
}

@media screen and (max-width: 800px) {
    body > * {
        display: none !important;
    }

    body::after {
        content: "BKS Assistant ist nur auf Desktop verfügbar.";
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        width: 100vw;
        font-size: 1.5rem;
        color: #000;
        background: #fff;
        padding: 20px;
        box-sizing: border-box;
        z-index: 9999;
    }
}